com.holonplatform.core.beans

## Interface BeanProperty.Builder<T>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    BeanProperty<T>, Expression, Localizable, Localizable.Builder<BeanProperty.Builder<T>>, Path<T>, Path.Builder<T,BeanProperty.Builder<T>>, PathExpression<T>, PathProperty<T>, PathProperty.Builder<T,BeanProperty.Builder<T>>, Property<T>, Property.Builder<T,BeanProperty.Builder<T>>, QueryExpression<T>, QueryProjection<T>, Serializable, Validator.Validatable<T>
  Enclosing interface:
    BeanProperty<T>

      public static interface BeanProperty.Builder<T>
      extends PathProperty.Builder<T,BeanProperty.Builder<T>>, BeanProperty<T>

  BeanProperty builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.beans.BeanProperty

      `BeanProperty.Builder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanProperty.Builder<T>` | `annotations(Annotation[] annotations)` Set the property annotations
    `BeanProperty.Builder<T>` | `field(Field field)` Set the bean property field
    `BeanProperty.Builder<T>` | `readMethod(Method method)` Set the bean property read (get) method
    `BeanProperty.Builder<T>` | `sequence(Integer sequence)` Set the bean property sequence
    `BeanProperty.Builder<T>` | `writeMethod(Method method)` Set the bean property write (set) method

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, localization, temporalType, validator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.core.beans.BeanProperty

      `builder, clone, getAnnotation, getField, getParentProperty, getReadMethod, getSequence, getWriteMethod, hasAnnotation`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `asc, avg, between, clone, contains, contains, containsIgnoreCase, count, create, create, desc, endsWith, endsWith, endsWithIgnoreCase, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, isReadOnly, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin, startsWith, startsWith, startsWithIgnoreCase, sum`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, getName, getParent, getType, isRootPath, of, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `getType`

- - ### Method Detail

    - #### readMethod

          BeanProperty.Builder<T> readMethod(Method method)

      Set the bean property read (get) method
      Parameters:
        `method` - Method to set
      Returns:
        this

    - #### writeMethod

          BeanProperty.Builder<T> writeMethod(Method method)

      Set the bean property write (set) method
      Parameters:
        `method` - Method to set
      Returns:
        this

    - #### field

          BeanProperty.Builder<T> field(Field field)

      Set the bean property field
      Parameters:
        `field` - Field to set
      Returns:
        this

    - #### sequence

          BeanProperty.Builder<T> sequence(Integer sequence)

      Set the bean property sequence
      Parameters:
        `sequence` - Sequence to set
      Returns:
        this

    - #### annotations

          BeanProperty.Builder<T> annotations(Annotation[] annotations)

      Set the property annotations
      Parameters:
        `annotations` - Annotations to set
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.